﻿<template>
    <ul class="navbar__nav">
        <li>
            <RouterLink :to="t('routes.home.path')" class="navbar__navlink" @click="toggleExpansion">{{ t('routes.home.name') }}</RouterLink>
        </li>
        <li v-if="memberStore.member.email">
            <RouterLink :to="t('routes.members.profile.fullPath')" class="navbar__navlink" @click="toggleExpansion">{{ t('routes.members.profile.name') }}</RouterLink>
        </li>
        <li v-if="memberStore.member.email">
            <RouterLink :to="t('routes.home.myMovies.fullPath')" class="navbar__navlink" @click="toggleExpansion">{{ t('routes.home.myMovies.name') }}</RouterLink>
        </li>

        <li v-if="memberStore.member.email === undefined">
            <button class="navbar__navlink" @click="login">{{ t('global.login') }}</button>
        </li>
        <li v-if="memberStore.member.email === undefined">
            <RouterLink :to="t('routes.members.add.fullPath')" class="navbar__navlink">{{ t('routes.members.add.name') }}</RouterLink>
        </li>
        <li v-else>
            <button class="navbar__navlink" @click="logout">{{ t('global.logout') }}</button>
        </li>
    </ul>
</template>

<script lang="ts" setup>
    import { useI18n } from "vue3-i18n";
    import { useMemberStore } from "@/stores/memberStore";

    const { t } = useI18n()
    const memberStore = useMemberStore()

    // eslint-disable-next-line
    const emit = defineEmits<{
        (event: "toggleExpansion"): void
    }>();

    function toggleExpansion() {
        emit("toggleExpansion");
    }

    function login() {
        window.location.replace("/Authentication/Login/")
    }

    function logout() {
      window.location.replace("/Authentication/Logout/")
    }
</script>
